> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Feedback To Thread Entry



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml put /v4/threads/{thread_id}/messages/{application_interaction_id}/feedback
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/threads/{thread_id}/messages/{application_interaction_id}/feedback:
    put:
      tags:
        - ChatThreads
      summary: Add Feedback To Thread Entry
      operationId: >-
        PUT-V4-/threads/{thread_id}/messages/{application_interaction_id}/feedback
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            title: Thread Id
        - name: application_interaction_id
          in: path
          required: true
          schema:
            title: Application Interaction Id
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatThreadFeedbackRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatThreadFeedbackResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChatThreadFeedbackRequest:
      properties:
        chat_thread_id:
          title: Chat Thread Id
          can_patch: false
          type: string
        application_interaction_id:
          type: string
          title: Application Interaction Id
          can_patch: false
        sentiment:
          $ref: '#/components/schemas/FeedbackSentiment'
        description:
          title: Description
          type: string
      type: object
      required:
        - chat_thread_id
        - application_interaction_id
        - sentiment
        - description
      title: ChatThreadFeedbackRequest
    ChatThreadFeedbackResponse:
      properties:
        id:
          type: string
          title: Id
        chat_thread_id:
          title: Chat Thread Id
          can_patch: false
          type: string
        application_interaction_id:
          type: string
          title: Application Interaction Id
          can_patch: false
        sentiment:
          $ref: '#/components/schemas/FeedbackSentiment'
        description:
          title: Description
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
      type: object
      required:
        - id
        - chat_thread_id
        - application_interaction_id
        - sentiment
        - description
        - created_at
      title: ChatThreadFeedbackResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeedbackSentiment:
      type: string
      enum:
        - positive
        - negative
      title: FeedbackSentiment
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````